function [] = plotDeviceFields(er,dz,E,H)
z = [0:size(E,2)-1]*dz;
er_sort = unique(er);
N_er = size(er_sort,2);
col = 256;
i=1;
while i <= N_er  % Plot the device
    pos = find(er==(er_sort(i)));
    width = 1;
    k = 1;
    for j = 1:size(pos,2)-1
        z_start = z(pos(k));
        if pos(j+1)-pos(j)==1
            width = width + 1;
        end
        if pos(j+1)-pos(j) > 1 || j == size(pos,2)-1
            rectangle('Position',[z_start,-10,width*dz,20],'FaceColor',[col/256 col/256 col/256],'EdgeColor',[col/256 col/256 col/256]);
            hold on;
            k = j + 1;
            width = 1;
        end
    end
    i = i + 1;
    if i > N_er
        break;
    end
    delta_er = er_sort(i)-er_sort(i-1);
    col = col - ceil(delta_er*10);
end

% while i <= N_er
%     pos = find(er==(er_sort(i)));
%     for j = 1:size(pos,2)-1
%         z_start = z(pos(j));
%         if pos(j+1)-pos(j)==1
%             rectangle('Position',[z_start,-10,2*dz,20],'FaceColor',[col/256 col/256 col/256],'EdgeColor',[col/256 col/256 col/256]);
%             hold on;
%         end
%     end
%     i = i + 1;
%     if i > N_er
%         break;
%     end
%     delta_er = er_sort(i)-er_sort(i-1);
%     col = col - ceil(delta_er*10);
% end
hold on;
plot(z,E,'b-',z,H,'r-'); % Plot the fields
end